{"openapi":"3.0.0","info":{"description":"Several useful functions\n","version":"1.0.0","title":"2501","termsOfService":"http://swagger.io/terms/","contact":{"email":"vd.lvov@gmail.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"servers":[{"description":"Mocking","url":"https://89117771690-apps.site:12443/"},{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/Vitaly-Git/2501/1.0.0"}],"tags":[{"name":"functions","description":null,"externalDocs":{"description":"Find out more about","url":"https://89117771690-apps.site:12443/"}}],"paths":{"/timestamp":{"get":{"tags":["functions"],"summary":"Unix timestamp","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"integer"}}}},"500":{"description":"unable to verify the first certificate (check https)"}}}},"/strrev":{"get":{"tags":["functions"],"summary":"Revers string","parameters":[{"name":"string","in":"query","description":"string to revers","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"string"}}}},"500":{"description":"unable to verify the first certificate (check https)"}}}},"/user/{username}":{"get":{"tags":["user"],"summary":"Get user by user name","operationId":"getUserByName","parameters":[{"name":"username","in":"path","description":"The name that needs to be fetched. Use user1 for testing.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}},"application/xml":{"schema":{"$ref":"#/components/schemas/User"}}}},"400":{"description":"Invalid username supplied"},"404":{"description":"User not found"}}},"put":{"tags":["user"],"summary":"Updated user","description":"This can only be done by the logged in user.","operationId":"updateUser","parameters":[{"name":"username","in":"path","description":"name that need to be updated","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Invalid user supplied"},"404":{"description":"User not found"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"description":"Updated user object","required":true}},"delete":{"tags":["user"],"summary":"Delete user","description":"This can only be done by the logged in user.","operationId":"deleteUser","parameters":[{"name":"username","in":"path","description":"The name that needs to be deleted","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Invalid username supplied"},"404":{"description":"User not found"}}}}},"externalDocs":{"description":"Find out more about Swagger","url":"http://swagger.io"},"components":{"requestBodies":{"Pet":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pet"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Pet"}}},"description":"Pet object that needs to be added to the store","required":true},"UserArray":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}},"description":"List of user object","required":true}},"securitySchemes":{"petstore_auth":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"http://petstore.swagger.io/oauth/dialog","scopes":{"write:pets":"modify pets in your account","read:pets":"read your pets"}}}},"api_key":{"type":"apiKey","name":"api_key","in":"header"}},"schemas":{"functions":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}}}}}}